/**************************************************************************
 * This file is part of the source of ApCoCoA Eclipse Plugin Project 
 * (Moccha).
 *
 *  Copyright (c) 2009 Stefan Schuster
 *
 * Visit http://apcocoa.org/ for more information regarding ApCoCoA
 * and ApCoCoALib.
 * Visit http://www.apcocoa.org/wiki/ApCoCoA:KnownIssues for bugs, problems 
 * and known issues.
 *
 * Moccha is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (version 3 or later)
 * as published by the Free Software Foundation. A copy of the full
 * licence may be found in the file COPYING in this directory.
 *
 * Moccha is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moccha; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 **************************************************************************/
package org.apcocoa.eclipse;

public interface IApCoCoAConstants {

	public final String IMG_AC = "images/ApCoCoA.gif";
	
// ----------------------------------------------------------------------------
	
	public final String PREF_AC_EXEC = "cocoaPath";

// ----------------------------------------------------------------------------
	
	public final String PREF_AC_SERVER_EXEC = "cocoaServerPath";
	
	public final String PREF_AC_SERVER_PORT = "cocoaServerPort";
	
	public final String PREF_COMMANDS_COLOR = "org.apcocoa.prefCommandsColor";
	
	public final String PREF_RESPONSE_COLOR = "org.apcocoa.prefResponseColor";

	public final String PREF_CONSOLE_WIDTH = "org.apcocoa.prefConsoleWidth";
	
	public final String PREF_AC_WORDLIST_FILE_PATH = "cocoaWordlistFilePath";

	public final String PREF_AC_PACKAGES_PATH = "cocoaPackagesPath";
	
	public final String PREF_AC_COCOARC_PATH = "cocoaRcPath";

	public final String PREF_COCOA_AUTOSTART = "cocoaAutostart";
	
	public final String PREF_USE_CONSOLE_WIDTH = "org.apcocoa.prefUseConsoleWidth";
	
// ----------------------------------------------------------------------------
	
	public final String SRV_CONSOLE_NAME = "ApCoCoA Server";

	public final String APCOCOA_PERSPECTIVE_ID = "org.apcocoa.eclipse.ApCoCoAPerspective";

	

	
}
