package org.apcocoa.eclipse.handlers;

import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.apcocoa.eclipse.cocoawrapper.CoCoAProcessManager;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;

public class InterruptCoCoAHandler extends AbstractHandler {

	public Object execute(ExecutionEvent event) throws ExecutionException {
		// Synchronize with GUI in order to prevent a hanging Eclipse.
		synchronized (ApCoCoAPlugin.getPlugin().getWorkbench()) {
			CoCoAProcessManager.getCoCoAProcessManager().interruptApCoCoA();
			
			/* ApCoCoAPlugin.getStandardDisplay().asyncExec(new Runnable() {
				public void run() {
					CoCoAProcessManager.restartApCoCoA();
				}
			}); */
			
			return null;
		}
	}
}
