/**************************************************************************
 * This file is part of the source of ApCoCoA Eclipse Plugin Project 
 * (Moccha).
 *
 *  Copyright (c) 2009 Stefan Schuster
 *
 * Visit http://apcocoa.org/ for more information regarding ApCoCoA
 * and ApCoCoALib.
 * Visit http://www.apcocoa.org/wiki/ApCoCoA:KnownIssues for bugs, problems 
 * and known issues.
 *
 * Moccha is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (version 3 or later)
 * as published by the Free Software Foundation. A copy of the full
 * licence may be found in the file COPYING in this directory.
 *
 * Moccha is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moccha; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 **************************************************************************/
package org.apcocoa.eclipse.handlers;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.apcocoa.eclipse.cocoawrapper.CoCoAProcess;
import org.apcocoa.eclipse.editors.ApCoCoAEditor;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.dialogs.ProgressMonitorDialog;
import org.eclipse.jface.operation.IRunnableWithProgress;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.handlers.HandlerUtil;
import org.eclipse.ui.progress.IProgressService;
import org.eclipse.ui.texteditor.IEditorStatusLine;

public class SendCommandHandler extends AbstractHandler {

	public SendCommandHandler() {
		// TODO Auto-generated constructor stub
		// this.setEnabled(evaluationContext)
		// ApCoCoAEditor e;
		// e.
	}
	
	/**
	 * the command has been executed, so extract extract the needed information
	 * from the application context.
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		
		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);
		IWorkbenchPage page = window.getActivePage();
		IEditorPart editor = page.getActiveEditor();
		if (editor != null && editor instanceof ApCoCoAEditor) {
			// IProgressService progService = ApCoCoAPlugin.getPlugin().getWorkbench().getProgressService();
			
			

			((ApCoCoAEditor)editor).sendContent();
//			CoCoAProcess process = CoCoAProcess.getCoCoAProcess();
//			String s = ((ApCoCoAEditor)editor).getText();
//			
//			try {
//				process.sendString(s);
//			} catch (IOException e) {
//				// TODO Auto-generated catch block
//				e.printStackTrace();
//			}
		}
		return null;
	}
	
	
//	private void nonusedcode() {
//		IWorkbenchWindow wbWindow = editor.getSite().getWorkbenchWindow();
//		IRunnableWithProgress runnable = new IRunnableWithProgress() {
//
//			public void run(IProgressMonitor monitor)
//					throws InvocationTargetException, InterruptedException {
//				monitor.beginTask("Computation", 2);
//				System.out.println("Doing stuff....");
//				monitor.worked(1);
//				System.out.println("Doing more stuff....");
//				while (true) ;
//			}
//		};
//		System.out.println("...");
//		try {
//			wbWindow.run(true, true, runnable);
//		} catch (InvocationTargetException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		} catch (InterruptedException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		}
//		System.out.println("Done.");
//	IProgressService progressService = PlatformUI.getWorkbench().getProgressService();
//	
//	   try {
//		progressService.run(true, true, new IRunnableWithProgress(){
//		      public void run(IProgressMonitor monitor) {
//		    	  monitor.beginTask("Comutation", 2);
//		    	  
//		         while(! monitor.isCanceled()) ;
//		         
//		      }
//		   });
//		} catch (InvocationTargetException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		} catch (InterruptedException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		}
//	ProgressMonitorDialog progressDialog = new ProgressMonitorDialog(ApCoCoAPlugin.getPlugin().getWorkbench().getDisplay().getActiveShell());
//	IProgressMonitor progressMonitor = progressDialog.getProgressMonitor();
//	progressDialog.open();
//	progressDialog.setCancelable(true);
//	System.out.println("Progress monitro .....");
//	
//	
//	progressMonitor.beginTask("Computation", 10);
//
//	}
}
