package org.apcocoa.eclipse.templates;



import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.texteditor.templates.TemplatePreferencePage;

public class ApCoCoATemplatePreferencePage extends TemplatePreferencePage implements
		IWorkbenchPreferencePage {

	public ApCoCoATemplatePreferencePage() {
		setPreferenceStore(ApCoCoAPlugin.getDefault().getPreferenceStore());
        setTemplateStore(ApCoCoAPlugin.getDefault().getApCoCoATemplateStore());
        setContextTypeRegistry(ApCoCoAPlugin.getDefault().getApCoCoAContextTypeRegistry());
	}

	   /* (non-Javadoc)
     * @see org.eclipse.ui.texteditor.templates.TemplatePreferencePage#isShowFormatterSetting()
     */
    protected boolean isShowFormatterSetting() {
        return true;
    }
    
    /**
     * @see org.eclipse.jface.preference.IPreferencePage#performOk()
     */
    public boolean performOk() {
        boolean ok = super.performOk();
        
        if (ok)
            ApCoCoAPlugin.getDefault().savePluginPreferences();
        
        return ok;
    }	

}
