package org.apcocoa.eclipse.templates;

import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.eclipse.jface.text.templates.GlobalTemplateVariables;
import org.eclipse.jface.text.templates.TemplateContextType;

public class ApCoCoAContextType extends TemplateContextType {

	public static final String AC_CONTEXT_TYPE = ApCoCoAPlugin.class.getPackage().getName() + ".templates.apcocoa";
	
	public ApCoCoAContextType() {
		addGlobalResolvers();
	}
	
	private void addGlobalResolvers() {
		addResolver(new GlobalTemplateVariables.Cursor());
        addResolver(new GlobalTemplateVariables.WordSelection());
        addResolver(new GlobalTemplateVariables.LineSelection());
        addResolver(new GlobalTemplateVariables.Dollar());
        addResolver(new GlobalTemplateVariables.Date());
        addResolver(new GlobalTemplateVariables.Year());
        addResolver(new GlobalTemplateVariables.Time());
        addResolver(new GlobalTemplateVariables.User());
	}

}
